> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/partner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/partner/partner-api/api-reference/partner-change-request-management.md).

# Partner Change Request Management

Endpoints for managing partner change requests

## Get list of Partner Change Requests

> This endpoint fetches list of all partner change requests to your partner hub.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Partner Change Request Management","description":"Endpoints for managing partner change requests"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"PublicV2PCRListFilterIn":{"type":"object","properties":{"q":{"type":"string"},"id":{},"status":{},"created_at":{},"is_full_migration":{},"source_client_id":{},"target_client_id":{},"source_partner_id":{},"target_partner_id":{}},"additionalProperties":false},"PublicV2PCRListOut":{"type":"object","properties":{"limit":{"type":"integer","description":"Maximum number of results to return"},"offset":{"type":"integer","description":"Number of results to skip"},"sort":{"type":"array","description":"Sort results by partner change request fields","items":{"type":"string"}},"filters":{"type":"object","description":"Filter results by client fields","additionalProperties":{}},"total":{"type":"integer","description":"Total number of results"},"count":{"type":"integer","description":"Number of results returned"},"partner_change_requests":{"type":"array","description":"List of partner change request objects","items":{"$ref":"#/components/schemas/PublicV2PCROut"}}},"additionalProperties":false},"PublicV2PCROut":{"type":"object","properties":{"id":{"type":"string","description":"ID of partner change request object."},"status":{"type":"string","description":"Status of partner change request object. Possible values: created,pending,completed,failed"},"is_full_migration":{"type":"boolean","description":"True means all client channels were/will be moved in this pcr. False means partial migration."},"source_client_id":{"type":"string","description":"Original client id."},"target_client_id":{"type":"string","description":"The copy/clone client id that will be created under target partner (only required for partial migrations)."},"source_partner_id":{"type":"string","description":"Original partner id."},"target_partner_id":{"type":"string","description":"Client will be moved to this partner id."},"migrated_channels":{"type":"array","items":{"type":"string","description":"List of channel ids that will be migrated to target partner."}},"created_at":{"type":"string","description":"Datetime of when this PCR was created."},"modified_at":{"type":"string","description":"Datetime of when this PCR was updated."}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/selective_partner_change_requests":{"get":{"parameters":[{"in":"query","name":"filters","description":"Filter results by partner change request fields","schema":{"allOf":[{"$ref":"#/components/schemas/PublicV2PCRListFilterIn"}]},"required":false},{"in":"query","name":"sort","description":"Sort results by partner change request fields","schema":{"type":"string","enum":["id","status","created_at","is_full_migration","source_client_id","target_client_id","source_partner_id"]},"required":false},{"in":"query","name":"offset","description":"Number of results to skip","schema":{"type":"integer"},"required":false},{"in":"query","name":"limit","description":"Maximum number of results to return","schema":{"type":"integer"},"required":false},{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicV2PCRListOut"}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["Partner Change Request Management"],"summary":"Get list of Partner Change Requests","description":"This endpoint fetches list of all partner change requests to your partner hub.","operationId":"get_partner_change_request_api_selective_partner_change_requests_list"}}}}
```

## Approve Partner Change Request

> This endpoint approves a partner change request by ID.\
> After approval, the background process will start and a client will be migrated.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Partner Change Request Management","description":"Endpoints for managing partner change requests"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"PublicV2PCROut":{"type":"object","properties":{"id":{"type":"string","description":"ID of partner change request object."},"status":{"type":"string","description":"Status of partner change request object. Possible values: created,pending,completed,failed"},"is_full_migration":{"type":"boolean","description":"True means all client channels were/will be moved in this pcr. False means partial migration."},"source_client_id":{"type":"string","description":"Original client id."},"target_client_id":{"type":"string","description":"The copy/clone client id that will be created under target partner (only required for partial migrations)."},"source_partner_id":{"type":"string","description":"Original partner id."},"target_partner_id":{"type":"string","description":"Client will be moved to this partner id."},"migrated_channels":{"type":"array","items":{"type":"string","description":"List of channel ids that will be migrated to target partner."}},"created_at":{"type":"string","description":"Datetime of when this PCR was created."},"modified_at":{"type":"string","description":"Datetime of when this PCR was updated."}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/selective_partner_change_requests/{pcr_id}/approve":{"post":{"parameters":[{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true},{"in":"path","name":"pcr_id","description":"The ID of the partner change request.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicV2PCROut"}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["Partner Change Request Management"],"summary":"Approve Partner Change Request","description":"This endpoint approves a partner change request by ID.\nAfter approval, the background process will start and a client will be migrated.","operationId":"post_partner_change_request_api_selective_partner_change_requests_approve"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.360dialog.com/partner/partner-api/api-reference/partner-change-request-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
